#ifndef INDICATOR_LIGHTS_HPP_
#define INDICATOR_LIGHTS_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MIndicatorLights/MIndicatorLights.hpp>

class IndicatorLights : public SpriteBlock, public MachineBlockMixin<MIndicatorLights>
{
private:
    static std::vector<Sprite> makeSprites();

public:
    IndicatorLights(std::string name);

    virtual bool canManuallyDig() override;
};

#endif